/*
 * A resource supporting the creation of user-specific opener resources.
 *
 * Copyright (C) 2021, 2022 Paul Boddie <paul@boddie.org.uk>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of
 * the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA  02110-1301, USA
 */

#include "filesystem_object_server.h"
#include "filesystem_resource.h"

/* Support for providing access to user-specific filesystems. */

FilesystemResource::FilesystemResource(Pages *pages)
: ResourceRegistry(pages)
{
}

ipc_server_default_config_type FilesystemResource::config()
{
    return config_FilesystemObject;
}

// vim: tabstop=4 expandtab shiftwidth=4
